<mixer>
  <!-- These paths are for ERD with Exynos850 -->

  <!-- Board Device Connections -->
  <!-- UAIF0 - CODEC for normal Playback and Capture -->
  <!-- UAIF1 - Speaker/RCV AMP -->
  <!-- UAIF2 - Bluetooth -->
  <!-- Speedy IF  - FM Radio -->

  <!-- Exynos A-Box Term -->
  <!-- SIFS0 : Mixer for Playback -->
  <!-- SIFS1 : Mux1 for Playback -->
  <!-- SIFS2 : Mux2 for Playback -->
  <!-- SIFS3 : Mux3 for Playback -->
  <!-- SIFS4 : Mux4 for Playback -->
  <!-- SIFS5 : Mux5 for Playback -->
  <!-- NSRC0 : Capture Source 0 -->
  <!-- NSRC1 : Capture Source 1 -->
  <!-- NSRC2 : Capture Source 2 -->
  <!-- NSRC3 : Capture Source 3 -->
  <!-- NSRC4 : Capture Source 4 -->

  <!-- Initial Mixer control configurations -->
  <!-- A-Box Default Configuration for SIFS Width -->
    <ctl name="ABOX SIFS0 Width" value="16" />
    <ctl name="ABOX SIFS1 Width" value="16" />
    <ctl name="ABOX SIFS2 Width" value="16" />
    <ctl name="ABOX SIFS3 Width" value="16" />
    <ctl name="ABOX SIFS4 Width" value="16" />
    <ctl name="ABOX SIFS5 Width" value="16" />

    <!-- A-Box Default Configuration for UAIF -->
    <ctl name="ABOX UAIF0 Width" value="16" />
    <ctl name="ABOX UAIF0 Channel" value="2" />
    <ctl name="ABOX UAIF0 Rate" value="48000" />

    <ctl name="ABOX UAIF1 Width" value="16" />
    <ctl name="ABOX UAIF1 Channel" value="2" />
    <ctl name="ABOX UAIF1 Rate" value="48000" />

    <ctl name="ABOX UAIF2 Width" value="16" />
    <ctl name="ABOX UAIF2 Channel" value="2" />
    <ctl name="ABOX UAIF2 Rate" value="8000" />

    <ctl name="ABOX SPDY Rate" value="40000" />

    <!-- A-Box Default Configuration for Speaker Path -->
    <ctl name="ABOX SPUS ASRC0" value="0" />
    <ctl name="ABOX SPUS ASRC1" value="0" />
    <ctl name="ABOX SPUS ASRC2" value="0" />
    <ctl name="ABOX SPUS ASRC3" value="0" />
    <ctl name="ABOX SPUS ASRC4" value="0" />
    <ctl name="ABOX SPUS ASRC5" value="0" />
    <ctl name="ABOX SPUS ASRC6" value="0" />
    <ctl name="ABOX SPUS ASRC7" value="0" />
    <ctl name="ABOX SPUS ASRC8" value="0" />
    <ctl name="ABOX SPUS ASRC9" value="0" />
    <ctl name="ABOX SPUS ASRC10" value="0" />
    <ctl name="ABOX SPUS ASRC11" value="0" />

    <ctl name="ABOX SPUS OUT0" value="RESERVED" />
    <ctl name="ABOX SPUS OUT1" value="SIFS0" />
    <ctl name="ABOX SPUS OUT2" value="RESERVED" />
    <ctl name="ABOX SPUS OUT3" value="RESERVED" />
    <ctl name="ABOX SPUS OUT4" value="RESERVED" />
    <ctl name="ABOX SPUS OUT5" value="RESERVED" />
    <ctl name="ABOX SPUS OUT6" value="SIFS2" />
    <ctl name="ABOX SPUS OUT7" value="SIFS1" />
    <ctl name="ABOX SPUS OUT8" value="RESERVED" />
    <ctl name="ABOX SPUS OUT9" value="RESERVED" />
    <ctl name="ABOX SPUS OUT10" value="RESERVED" />
    <ctl name="ABOX SPUS OUT11" value="RESERVED" />

    <ctl name="ABOX SPUM ASRC0" value="0" />
    <ctl name="ABOX SPUM ASRC1" value="0" />
    <ctl name="ABOX SPUM ASRC2" value="0" />
    <ctl name="ABOX SPUM ASRC3" value="0" />
    <ctl name="ABOX SPUM ASRC4" value="0" />

    <ctl name="ABOX SIFM0" value="WDMA" />
    <ctl name="ABOX SIFM1" value="WDMA" />
    <ctl name="ABOX SIFM2" value="WDMA" />
    <ctl name="ABOX SIFM3" value="WDMA" />
    <ctl name="ABOX SIFM4" value="WDMA" />

    <ctl name="ABOX NSRC0" value="RESERVED" />
    <ctl name="ABOX NSRC1" value="RESERVED" />
    <ctl name="ABOX NSRC2" value="RESERVED" />
    <ctl name="ABOX NSRC3" value="RESERVED" />
    <ctl name="ABOX NSRC4" value="RESERVED" />

    <ctl name="ABOX SIFS1" value="RESERVED" />
    <ctl name="ABOX SIFS2" value="RESERVED" />
    <ctl name="ABOX SIFS3" value="RESERVED" />
    <ctl name="ABOX SIFS4" value="RESERVED" />
    <ctl name="ABOX SIFS5" value="RESERVED" />

    <ctl name="EP EP On" value="0" />
    <ctl name="SPK SPK On" value="0" />
    <ctl name="HP HP On" value="0" />
    <ctl name="DAC Center Gain" value="0" />
    <ctl name="DAC Gain" value="0" />

    <ctl name="DMIC Bias" value="0" />
    <ctl name="DMIC1 DMIC1 On" value="0" />
    <ctl name="DMIC2 DMIC2 On" value="0" />
    <ctl name="ADCL Mixer MIC3L Switch" value="0" />
    <ctl name="ADCR Mixer MIC3R Switch" value="0" />
    <ctl name="MIC3 MIC3 On" value="0" />
    <ctl name="ADC Left Gain" value="0" />
    <ctl name="ADC Right Gain" value="0" />
    <ctl name="ABOX BD_SRCCOM0_A" value="VPCMOUT_DAI0" />
    <ctl name="ABOX BD_SRCCOM1_A" value="VPCMOUT_DAI1" />
    <ctl name="ABOX BD_SRCCOM2_A" value="VPCMOUT_DAI2" />
    <ctl name="ABOX BD_SRCCOM3_A" value="VPCMOUT_DAI3" />
    <ctl name="ABOX BD_SRCCOM5_A" value="VPCMOUT_DAI5" />
    <ctl name="ABOX RDMA3_A" value="BD_MIXER" />
    <ctl name="ABOX SPUS OUT3" value="SIFS0" />
    <ctl name="ABOX UAIF0 SPK" value="SIFS0" />

  <!-- Common control configurations -->
    <path name="route-vpcmoutdais-to-srccoms">
        <!-- Primary stream default routed to Virtual PCM output0 component -->
        <ctl name="ABOX BD_SRCCOM0_A" value="VPCMOUT_DAI0" />
        <!-- Fast stream default routed to Virtual PCM output1 component -->
        <ctl name="ABOX BD_SRCCOM1_A" value="VPCMOUT_DAI1" />
        <!-- AAudio stream default routed to Virtual PCM output2 component -->
        <ctl name="ABOX BD_SRCCOM2_A" value="VPCMOUT_DAI2" />
        <!-- Deep stream default routed to Virtual PCM output3 component -->
        <ctl name="ABOX BD_SRCCOM3_A" value="VPCMOUT_DAI3" />
        <!-- APCall stream default routed to Virtual PCM output5 component -->
        <ctl name="ABOX BD_SRCCOM5_A" value="VPCMOUT_DAI5" />
    </path>

    <path name="route-vpcmoutdais-to-rxse-to-srccoms">
        <!-- Primary stream default routed to Virtual PCM output0 component -->
        <ctl name="ABOX BD_SRCCOM0_A" value="None" />
        <ctl name="ABOX RXSE_A" value="VPCMOUT_DAI0" />
        <ctl name="ABOX BD_SRCCOM0_A" value="RXSE" />
    </path>

    <path name="route-bdmixer-to-rdma2">
        <ctl name="ABOX RDMA2_A" value="BD_MIXER" />
    </path>

    <path name="route-bdmixer-to-damper1">
        <ctl name="ABOX AUDIO_DAMPER1_A" value="BD_MIXER" />
    </path>

    <path name="route-damper1-to-rdma3">
        <ctl name="ABOX RDMA3_A" value="AUDIO_DAMPER1" />
    </path>

    <path name="route-damper1-to-rdma6">
        <ctl name="ABOX RDMA6_A" value="AUDIO_DAMPER1" />
    </path>

    <path name="route-rdma2-to-sifs0">
        <ctl name="ABOX SPUS OUT2" value="SIFS0" />
    </path>

    <path name="route-rdma3-to-sifs1">
        <ctl name="ABOX SPUS OUT3" value="SIFS1" />
        <ctl name="ABOX SIFS1" value="SPUS OUT3" />
    </path>

    <path name="route-rdma3-to-sifs2">
        <ctl name="ABOX SPUS OUT3" value="SIFS2" />
        <ctl name="ABOX SIFS2" value="SPUS OUT3" />
    </path>

    <path name="route-rdma6-to-sifs2">
        <ctl name="ABOX SPUS OUT6" value="SIFS2" />
        <ctl name="ABOX SIFS2" value="SPUS OUT6" />
    </path>

    <path name="route-rdma7-to-sifs1">
        <ctl name="ABOX SPUS OUT7" value="SIFS1" />
        <ctl name="ABOX SIFS1" value="SPUS OUT7" />
    </path>

    <path name="route-sifs0-to-uaif1">
        <ctl name="ABOX UAIF1 SPK" value="SIFS0" />
    </path>

    <path name="route-sifs0-to-uaif2">
        <ctl name="ABOX UAIF2 SPK" value="SIFS0" />
    </path>

    <path name="route-sifs0-to-nsrc0">
        <ctl name="ABOX NSRC0" value="SIFS0" />
    </path>

    <path name="route-sifs0-to-nsrc3">
        <ctl name="ABOX NSRC3" value="SIFS0" />
    </path>

    <path name="route-sifs0-to-nsrc0-bridge">
        <ctl name="ABOX NSRC0" value="SIFS0" />
        <ctl name="ABOX NSRC0 Bridge" value="1" />
    </path>

    <path name="route-sifs0-to-nsrc3-bridge">
        <ctl name="ABOX NSRC3" value="SIFS0" />
        <ctl name="ABOX NSRC3 Bridge" value="1" />
    </path>

    <path name="route-sifs1-to-uaif0">
        <ctl name="ABOX UAIF0 SPK" value="SIFS1" />
    </path>

    <path name="route-sifs2-to-uaif2">
        <ctl name="ABOX UAIF2 SPK" value="SIFS2" />
    </path>

    <path name="route-nsrc0-to-wdma0">
        <ctl name="ABOX SIFM0" value="WDMA" />
    </path>

    <path name="route-nsrc1-to-wdma1">
        <ctl name="ABOX SIFM1" value="WDMA" />
    </path>

    <path name="route-nsrc2-to-wdma2">
        <ctl name="ABOX SIFM2" value="WDMA" />
    </path>

    <path name="route-nsrc3-to-wdma3">
        <ctl name="ABOX SIFM3" value="WDMA" />
    </path>

    <path name="route-nsrc4-to-wdma4">
        <ctl name="ABOX SIFM4" value="WDMA" />
    </path>

    <path name="route-wdma0-to-bdsrccom5">
        <ctl name="ABOX BD_SRCCOM5_A" value="WDMA0" />
    </path>

    <path name="route-wdma0-to-rdma7">
        <!-- ctl name="ABOX RDMA7_EN" value="1" /-->
        <!-- ctl name="ABOX WDMA7_EN" value="1" /-->
        <ctl name="ABOX RDMA7_A" value="WDMA0" />
    </path>

    <path name="route-wdma2-to-vpcmindai5">
        <ctl name="ABOX VPCMIN_DAI5_A" value="WDMA2" />
    </path>

    <path name="route-wdma3-to-rdma6">
        <!-- ctl name="ABOX RDMA6_EN" value="1" /-->
        <!-- ctl name="ABOX WDMA6_EN" value="1" /-->
        <ctl name="ABOX RDMA6_A" value="WDMA3" />
    </path>

    <path name="route-wdma4-to-vpcmindai0">
        <ctl name="ABOX VPCMIN_DAI0_A" value="WDMA4" />
    </path>

    <path name="route-wdma4-to-vpcmindai1">
        <ctl name="ABOX VPCMIN_DAI1_A" value="WDMA4" />
    </path>

    <path name="route-wdma4-to-vpcmindai3">
        <ctl name="ABOX VPCMIN_DAI3_A" value="WDMA4" />
    </path>

    <path name="route-wdma4-to-txse">
        <ctl name="ABOX VSS_TXADAPTER_A" value="WDMA4" />
    </path>

    <path name="route-txse-to-vpcmindai0">
        <ctl name="ABOX TXSE_A" value="VSS_TXADAPTER" />
        <ctl name="ABOX TXSE_B" value="BD_MIXER" />
        <ctl name="ABOX VPCMIN_DAI0_A" value="TXSE" />
    </path>

    <path name="route-uaif0-to-nsrc4">
        <ctl name="ABOX NSRC4" value="UAIF0" />
    </path>

    <path name="route-uaif1-to-nsrc1">
        <ctl name="ABOX NSRC1" value="UAIF1" />
    </path>

    <path name="route-uaif2-to-nsrc4">
        <ctl name="ABOX NSRC4" value="UAIF2" />
    </path>

    <path name="route-rxse-to-srccom4">
        <ctl name="ABOX RXSE_A" value="VSS_RXBRIDGE" />
        <ctl name="ABOX BD_SRCCOM4_A" value="RXSE" />
        <ctl name="ABOX BD_SRCCOM4_B" value="VPCMOUT_DAI4" />
    </path>

    <path name="route-txse-to-vss">
        <ctl name="ABOX TXSE_A" value="VSS_TXADAPTER" />
        <ctl name="ABOX TXSE_B" value="BD_MIXER" />
        <ctl name="ABOX VSSIF_TX_A" value="TXSE" />
    </path>

    <path name="route-spdy-to-nsrc2">
        <ctl name="ABOX NSRC2" value="SPDY" />
    </path>

    <path name="route-feedback">
        <ctl name="ABOX NSRC2" value="UAIF2" />
        <ctl name="ABOX SIFM2" value="WDMA" />
    </path>

    <path name="route-ap-music-to-cp-tx">
        <!-- Calliope Mixer controls-->
        <!-- Calliope Routing Matrix controls-->
        <ctl name="ABOX RDMA9_A" value="VPCMOUT_DAI5" />
        <ctl name="ABOX SPUS OUT9" value="SIFS5" />
        <ctl name="ABOX SIFS5" value="SPUS OUT9" />
        <ctl name="ABOX NSRC1" value="SIFS5" />
        <ctl name="ABOX SIFM1" value="WDMA" />
        <ctl name="ABOX VSSIF_TX_B" value="WDMA1" />
    </path>

    <!-- BT SCO UAIF controls-->
    <path name="set-bt-sco-rx-rate-nb">
        <ctl name="ABOX UAIF2 Rate" value="8000" />
    </path>

    <path name="set-bt-sco-rx-rate-wb">
        <ctl name="ABOX UAIF2 Rate" value="16000" />
    </path>

    <path name="set-bt-sco-tx-rate-nb">
        <ctl name="ABOX UAIF2 Rate" value="8000" />
    </path>

    <path name="set-bt-sco-tx-rate-wb">
        <ctl name="ABOX UAIF2 Rate" value="16000" />
    </path>

  <!-- Common CODEC configurations -->
    <path name="dev-handset">
        <ctl name="DAC Center Mixer" value="LR/2" />
        <ctl name="SPK SPK On" value="0" />
        <ctl name="HP HP On" value="0" />
        <ctl name="EP EP On" value="1" />
    </path>

    <path name="dev-speaker">
        <ctl name="DAC Center Mixer" value="LR/2" />
        <ctl name="HP HP On" value="0" />
        <ctl name="EP EP On" value="0" />
        <ctl name="SPK SPK On" value="1" />
    </path>

    <path name="dev-headset">
        <ctl name="DAC Center Mixer" value="LR/2" />
        <ctl name="EP EP On" value="0" />
        <ctl name="SPK SPK On" value="0" />
        <ctl name="HP HP On" value="1" />
    </path>

    <path name="dev-speaker-headset">
        <ctl name="DAC Center Mixer" value="LR/2" />
        <ctl name="EP EP On" value="0" />
        <ctl name="HP HP On" value="1" />
        <ctl name="SPK SPK On" value="1" />
    </path>

    <path name="dev-main-mic">
        <ctl name="INP_SEL_L" value="DMIC1L ADC_L" />
        <ctl name="INP_SEL_R" value="DMIC1L ADC_R" />
        <ctl name="DMIC2 DMIC2 On" value="0" />
        <ctl name="ADCL Mixer MIC3L Switch" value="0" />
        <ctl name="ADCR Mixer MIC3R Switch" value="0" />
        <ctl name="MIC3 MIC3 On" value="0" />
        <ctl name="DMIC Bias" value="1" />
        <ctl name="DMIC1 DMIC1 On" value="1" />
    </path>

    <path name="dev-2nd-mic">
        <ctl name="INP_SEL_L" value="DMIC2L ADC_L" />
        <ctl name="INP_SEL_R" value="DMIC2L ADC_R" />
        <ctl name="DMIC1 DMIC1 On" value="0" />
        <ctl name="ADCL Mixer MIC3L Switch" value="0" />
        <ctl name="ADCR Mixer MIC3R Switch" value="0" />
        <ctl name="MIC3 MIC3 On" value="0" />
        <ctl name="DMIC Bias" value="1" />
        <ctl name="DMIC2 DMIC2 On" value="1" />
    </path>

    <path name="dev-headset-mic">
        <ctl name="INP_SEL_L" value="AMIC_L ADC_L" />
        <ctl name="INP_SEL_R" value="AMIC_L ADC_R" />
        <ctl name="DMIC Bias" value="0" />
        <ctl name="DMIC1 DMIC1 On" value="0" />
        <ctl name="DMIC2 DMIC2 On" value="0" />
        <ctl name="ADCL Mixer MIC3L Switch" value="1" />
        <ctl name="ADCR Mixer MIC3R Switch" value="1" />
        <ctl name="MIC3 MIC3 On" value="1" />
    </path>

  <!-- Output mixer settings -->
    <!-- Playback paths -->
    <path name="route-codec">
    </path>

    <path name="media-handset">
        <path name="route-codec" />
        <path name="dev-handset" />
    </path>

    <path name="media-speaker">
        <path name="route-codec" />
        <path name="dev-speaker" />
    </path>

    <path name="media-headset">
        <path name="route-codec" />
        <path name="dev-headset" />
    </path>

    <path name="media-headphone">
        <path name="media-headset" />
    </path>

    <path name="media-speaker-headset">
        <path name="route-codec" />
        <path name="dev-speaker-headset" />
    </path>

    <path name="media-speaker-headphone">
        <path name="media-speaker-headset" />
    </path>

    <path name="media-bt-sco-headset">
        <path name="route-bdmixer-to-damper1" />
        <path name="route-damper1-to-rdma6" />
        <path name="route-rdma6-to-sifs2" />
        <path name="route-sifs2-to-uaif2" />
    </path>

    <path name="media-speaker-bt-sco-headset">
        <path name="route-codec" />
        <path name="dev-speaker" />
	<path name="route-bdmixer-to-damper1" />
        <path name="route-damper1-to-rdma6" />
        <path name="route-rdma6-to-sifs2" />
        <path name="route-sifs2-to-uaif2" />

    </path>

    <!-- VoiceCall paths -->
    <!-- Common VoiceCall paths -->
    <path name="incall-handset">
        <path name="media-handset" />
        <path name="route-rxse-to-srccom4" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="incall-speaker">
        <path name="media-speaker" />
        <path name="route-rxse-to-srccom4" />
        <ctl name="ABOX Sound Type" value="SPEAKER" />
    </path>

    <path name="incall-headset">
        <path name="media-headset" />
        <path name="route-rxse-to-srccom4" />
        <ctl name="ABOX Sound Type" value="HEADSET" />
    </path>

    <path name="incall-headphone">
        <path name="incall-headset" />
    </path>

    <path name="incall-bt-sco-headset">
        <path name="route-rxse-to-srccom4" />
        <path name="route-bdmixer-to-damper1" />
        <path name="route-damper1-to-rdma6" />
        <path name="route-rdma6-to-sifs2" />
        <path name="route-sifs2-to-uaif2" />
        <ctl name="ABOX Sound Type" value="BTVOICE" />
    </path>

    <path name="incall_hac-handset">
        <path name="incall-handset" />
    </path>

    <path name="incall_hac-speaker">
        <path name="incall-speaker" />
    </path>

    <path name="incall_hac-headset">
        <path name="incall-headset" />
    </path>

    <path name="incall_hac-headphone">
        <path name="incall-headphone" />
    </path>

    <path name="incall_hac-bt-sco-headset">
        <path name="incall-bt-sco-headset" />
    </path>

    <path name="incall_wb-handset">
        <path name="incall-handset" />
    </path>

    <path name="incall_wb_hac-handset">
        <path name="incall_wb-handset" />
    </path>

    <path name="incall_wb-speaker">
        <path name="incall-speaker" />
    </path>

    <path name="incall_wb_hac-speaker">
        <path name="incall_wb-speaker" />
    </path>

    <path name="incall_wb-headset">
        <path name="incall-headset" />
    </path>

    <path name="incall_wb_hac-headset">
        <path name="incall_wb-headset" />
    </path>

    <path name="incall_wb-headphone">
        <path name="incall_wb-headset" />
    </path>

    <path name="incall_wb_hac-headphone">
        <path name="incall_wb-headset" />
    </path>

    <path name="incall_wb-bt-sco-headset">
        <path name="incall-bt-sco-headset" />
    </path>

    <path name="incall_wb_hac-bt-sco-headset">
        <path name="incall_wb-bt-sco-headset" />
    </path>

    <!-- Incall Music path -->
    <path name="incall_music-handset">
        <path name="incall-handset" />
    </path>

    <path name="incall_music_hac-handset">
        <path name="incall_music-handset" />
    </path>

    <path name="incall_music-speaker">
        <path name="incall-speaker" />
    </path>

    <path name="incall_music_hac-speaker">
        <path name="incall_music-speaker" />
    </path>

    <path name="incall_music-headset">
        <path name="incall-headset" />
    </path>

    <path name="incall_music_hac-headset">
        <path name="incall_music-headset" />
    </path>

    <path name="incall_music-headphone">
        <path name="incall_music-headset" />
    </path>

    <path name="incall_music_hac-headphone">
        <path name="incall_music-headset" />
    </path>

    <!--
    <path name="incall_music-lineout">
        <path name="incall-lineout" />
        <ctl name="ABOX ERAP info ICM On" value="1" />
    </path>

    <path name="incall_music_hac-lineout">
        <path name="incall_music-lineout" />
    </path>
    -->

    <path name="incall_music-bt-sco-headset">
        <path name="incall-bt-sco-headset" />
        <!-- ctl name="ABOX ERAP info ICM On" value="1" /-->
    </path>

    <path name="incall_music_hac-bt-sco-headset">
        <path name="incall_music-bt-sco-headset" />
    </path>

    <!-- Communication Playback paths -->
    <path name="communication-handset">
        <path name="dev-handset" />
        <path name="route-vpcmoutdais-to-rxse-to-srccoms" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="communication-speaker">
        <path name="dev-speaker" />
        <path name="route-vpcmoutdais-to-rxse-to-srccoms" />
        <ctl name="ABOX Sound Type" value="SPEAKER" />
    </path>

    <path name="communication-headset">
        <path name="dev-headset" />
        <path name="route-vpcmoutdais-to-rxse-to-srccoms" />
        <ctl name="ABOX Sound Type" value="HEADSET" />
    </path>

    <path name="communication-headphone">
        <path name="communication-headset" />
    </path>

    <path name="communication-bt-sco-headset">
        <path name="route-vpcmoutdais-to-rxse-to-srccoms" />
        <path name="route-bdmixer-to-damper1" />
        <path name="route-damper1-to-rdma6" />
        <path name="route-rdma6-to-sifs2" />
        <path name="route-sifs2-to-uaif2" />
        <ctl name="ABOX Sound Type" value="BTVOICE" />
    </path>

    <!-- voip Playback paths -->
    <path name="voip-handset">
        <path name="communication-handset" />
    </path>

    <path name="voip-speaker">
        <path name="communication-speaker" />
    </path>

    <path name="voip-headset">
        <path name="communication-headset" />
    </path>

    <path name="voip-headphone">
        <path name="voip-headset" />
    </path>

    <path name="voip-bt-sco-headset">
        <path name="communication-bt-sco-headset" />
    </path>

    <!-- FM Radio Playback paths -->
    <path name="fm_radio-speaker">
        <path name="media-speaker" />
    </path>

    <path name="fm_radio-headphone">
        <path name="media-headphone" />
    </path>

    <path name="fm_radio-headset">
        <path name="media-headset" />
    </path>

  <!-- Input mixer settings -->
    <!-- Capture paths -->
    <path name="route-ap-record">
        <path name="route-uaif0-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai0" />
    </path>

    <path name="media-mic">
        <path name="dev-main-mic" />
        <path name="route-ap-record" />
    </path>

    <path name="media-2nd-mic">
        <path name="dev-2nd-mic" />
        <path name="route-ap-record" />
    </path>

    <path name="media-headset-mic">
        <path name="dev-headset-mic" />
        <path name="route-ap-record" />
    </path>

    <path name="recording-mic">
        <path name="media-mic" />
    </path>

    <path name="recording-2nd-mic">
        <path name="media-2nd-mic" />
    </path>

    <path name="camcorder-mic">
        <path name="media-mic" />
    </path>

    <path name="camcorder-2nd-mic">
        <path name="media-2nd-mic" />
    </path>

    <path name="recording-headset-mic">
        <path name="media-headset-mic" />
    </path>

    <path name="media-bt-sco-mic">
        <path name="route-uaif2-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai0" />
    </path>

    <path name="recording-bt-sco-headset-in">
        <path name="media-bt-sco-mic" />
    </path>

    <!-- Recognition Input paths -->
    <path name="recognition-mic">
        <path name="media-mic" />
    </path>

    <path name="recognition-2nd-mic">
        <path name="media-2nd-mic" />
    </path>

    <path name="recognition-headset-mic">
        <path name="recording-headset-mic" />
    </path>

    <path name="recognition-headphone-mic">
        <path name="recognition-mic" />
    </path>

    <path name="recognition-bt-sco-headset-in">
        <path name="media-bt-sco-mic" />
    </path>

    <!-- VoiceCall TX paths -->
    <path name="route-cp-tx">
        <path name="route-uaif0-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai3" />
        <path name="route-wdma4-to-vpcmindai0" />
        <path name="route-wdma4-to-txse" />
        <path name="route-txse-to-vss" />
    </path>

    <path name="route-cp-callrec">
        <ctl name="ABOX CALLREC_A" value="RXSE" />
        <ctl name="ABOX CALLREC_B" value="TXSE" />
        <ctl name="ABOX VPCMIN_DAI4_A" value="CALLREC" />
    </path>

    <!-- VoiceCall paths -->
    <path name="incall-handset-mic">
        <path name="dev-main-mic" />
        <path name="route-cp-tx" />
        <path name="route-cp-callrec" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="incall-speaker-mic">
        <!-- path name="dev-main-mic" /-->
        <path name="dev-2nd-mic" />
        <path name="route-cp-tx" />
        <path name="route-cp-callrec" />
        <ctl name="ABOX Sound Type" value="SPEAKER" />
    </path>

    <path name="incall-headset-mic">
        <path name="dev-headset-mic" />
        <path name="route-cp-tx" />
        <path name="route-cp-callrec" />
        <ctl name="ABOX Sound Type" value="HEADSET" />
    </path>

    <path name="incall-headphone-mic">
        <path name="incall-headset-mic" />
    </path>

    <path name="incall_hac-handset-mic">
        <path name="incall-handset-mic" />
    </path>

    <path name="incall_hac-speaker-mic">
        <path name="incall-speaker-mic" />
    </path>

    <path name="incall_hac-headset-mic">
        <path name="incall-headset-mic" />
    </path>

    <path name="incall_hac-headphone-mic">
        <path name="incall-headphone-mic" />
    </path>

    <path name="incall-bt-sco-headset-in">
        <path name="route-uaif2-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai3" />
        <path name="route-wdma4-to-vpcmindai0" />
        <path name="route-wdma4-to-txse" />
        <path name="route-txse-to-vss" />
        <path name="route-cp-callrec" />
        <ctl name="ABOX Sound Type" value="BTVOICE" />
    </path>

    <path name="incall_hac-bt-sco-headset-in">
        <path name="incall-bt-sco-headset-in" />
    </path>

    <path name="incall_wb-handset-mic">
        <path name="incall-handset-mic" />
    </path>

    <path name="incall_wb-speaker-mic">
        <path name="incall-speaker-mic" />
    </path>

    <path name="incall_wb-headset-mic">
        <path name="incall-headset-mic" />
    </path>

    <path name="incall_wb-headphone-mic">
        <path name="incall-headphone-mic" />
    </path>

    <path name="incall_wb_hac-handset-mic">
        <path name="incall-handset-mic" />
    </path>

    <path name="incall_wb_hac-speaker-mic">
        <path name="incall-speaker-mic" />
    </path>

    <path name="incall_wb_hac-headset-mic">
        <path name="incall-headset-mic" />
    </path>

    <path name="incall_wb_hac-headphone-mic">
        <path name="incall-handset-mic" />
    </path>

    <path name="incall_wb-bt-sco-headset-in">
        <path name="incall-bt-sco-headset-in" />
    </path>

    <path name="incall_wb_hac-bt-sco-headset-in">
        <path name="incall-bt-sco-headset-in" />
    </path>

    <!-- Incall Music Mic path -->
    <path name="route-incall-music-uplink">
        <!-- CP Rx to AP Tx routing-->
        <path name="route-ap-music-to-cp-tx" />
    </path>

    <path name="incall_music-handset-mic">
        <path name="incall-handset-mic" />
        <path name="route-incall-music-uplink" />
    </path>

    <path name="incall_music-headphone-mic">
        <path name="incall_music-handset-mic" />
    </path>

    <path name="incall_music_hac-handset-mic">
        <path name="incall_music-handset-mic" />
    </path>

    <path name="incall_music_hac-headphone-mic">
        <path name="incall_music-handset-mic" />
    </path>

    <!--
    <path name="incall_music-lineout-mic">
        <path name="incall_music-handset-mic" />
    </path>

    <path name="incall_music_hac-lineout-mic">
        <path name="incall_music-handset-mic" />
    </path>
    -->

    <path name="incall_music-speaker-mic">
        <path name="incall-speaker-mic" />
        <path name="route-incall-music-uplink" />
    </path>

    <path name="incall_music-headset-mic">
        <path name="incall-headset-mic" />
        <path name="route-incall-music-uplink" />
    </path>

    <path name="incall_music-bt-sco-headset-in">
        <path name="incall-bt-sco-headset-in" />
        <path name="route-incall-music-uplink" />
    </path>

    <path name="incall_music_hac-speaker-mic">
        <path name="incall_music-speaker-mic" />
    </path>

    <path name="incall_music_hac-headset-mic">
        <path name="incall_music-headset-mic" />
    </path>

    <path name="incall_music_hac-bt-sco-headset-in">
        <path name="incall_music-bt-sco-headset-in" />
    </path>

    <!-- Communication Capture paths -->
    <path name="route-ap-tx">
        <path name="route-uaif0-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai0" />
    </path>

    <path name="communication-mic">
        <path name="dev-main-mic" />
        <path name="route-ap-tx" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="communication-handset-mic">
        <path name="dev-main-mic" />
        <path name="route-ap-tx" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="communication-2nd-mic">
        <path name="dev-2nd-mic" />
        <path name="route-ap-tx" />
    </path>

    <path name="communication-headphone-mic">
        <path name="dev-main-mic" />
        <path name="route-ap-tx" />
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="communication-headset-mic">
        <path name="dev-headset-mic" />
        <path name="route-ap-tx" />
        <ctl name="ABOX Sound Type" value="HEADSET" />
    </path>

    <path name="communication-speaker-mic">
        <path name="dev-2nd-mic" />
        <path name="route-ap-tx" />
        <ctl name="ABOX Sound Type" value="SPEAKER" />
    </path>

    <path name="communication-bt-sco-headset-in">
        <path name="route-uaif2-to-nsrc4" />
        <path name="route-nsrc4-to-wdma4" />
        <path name="route-wdma4-to-vpcmindai0" />
        <ctl name="ABOX Sound Type" value="BTVOICE" />
    </path>

    <path name="set-communication-txse">
    </path>

    <!-- voip Capture paths -->
    <path name="voip-mic">
        <path name="communication-mic" />
    </path>

    <path name="voip-handset-mic">
        <path name="communication-mic" />
    </path>

    <path name="voip-headphone-mic">
        <path name="communication-mic" />
    </path>

    <path name="voip-2nd-mic">
        <path name="communication-2nd-mic" />
    </path>

    <path name="voip-headset-mic">
        <path name="communication-headset-mic" />
    </path>

    <path name="voip-speaker-mic">
        <path name="communication-speaker-mic" />
    </path>

    <path name="voip-bt-sco-headset-in">
        <path name="communication-bt-sco-headset-in" />
    </path>

    <path name="set-voip-txse">
    </path>

    <!-- FM Radio Capture paths -->
    <path name="route-fm">
        <path name="route-spdy-to-nsrc2" />
        <path name="route-nsrc2-to-wdma2" />
        <path name="route-wdma2-to-vpcmindai5" />
    </path>

    <path name="fm_radio-fm-tuner">
        <path name="route-fm" />
    </path>

    <path name="recording-fm-tuner">
        <path name="route-fm" />
    </path>

    <!-- TTY mode paths -->
    <path name="tty_mode-headset">
        <!-- TTY mode VCO & FULL mode Playback paths -->
        <ctl name="ABOX Sound Type" value="HEADSET" />
    </path>

    <path name="tty_mode-handset">
        <!-- TTY mode HCO mode Playback paths -->
        <ctl name="ABOX Sound Type" value="VOICE" />
    </path>

    <path name="tty_mode-full-mic">
        <!-- TTY mode FULL mode MIC -->
        <path name="route-cp-tx" />
    </path>

    <path name="tty_mode-handset-mic">
        <!-- TTY mode HCO MIC paths -->
        <path name="route-cp-tx" />
    </path>

    <path name="tty_mode-vco-mic">
        <!-- TTY mode VCO MIC paths -->
        <path name="route-cp-tx" />
    </path>


  <!-- media gain controls for each path -->
    <!-- Play paths gain controls -->
    <path name="gain-media-handset">
        <ctl name="DAC Center Gain" value="140" />
        <ctl name="DAC Gain" value="150" />
    </path>

    <path name="gain-media-speaker">
        <ctl name="DAC Center Gain" value="140" />
        <ctl name="DAC Gain" value="150" />
    </path>

    <path name="gain-media-headset">
        <ctl name="DAC Gain" value="130" />
        <ctl name="DAC Center Gain" value="0" />
    </path>

    <path name="gain-media-headphone">
        <path name="gain-media-headset" />
    </path>

    <path name="gain-media-bt-sco-headset">
    </path>

    <path name="gain-media-speaker-headset">
        <ctl name="DAC Center Gain" value="140" />
        <ctl name="DAC Gain" value="150" />
    </path>

    <path name="gain-media-speaker-headphone">
        <path name="gain-media-speaker-headset" />
    </path>

    <path name="gain-media-speaker-bt-sco-headset">
        <path name="gain-media-speaker" />
    </path>

    <!-- Capture paths gain controls -->
    <path name="gain-media-main-mic">
        <ctl name="ADC Left Gain" value="200" />
        <ctl name="ADC Right Gain" value="200" />
    </path>

    <path name="gain-media-2nd-mic">
        <ctl name="ADC Left Gain" value="200" />
        <ctl name="ADC Right Gain" value="200" />
    </path>

    <path name="gain-media-headset-mic">
        <ctl name="ADC Left Gain" value="200" />
        <ctl name="ADC Right Gain" value="200" />
    </path>

    <path name="gain-recording-mic">
        <path name="gain-media-main-mic" />
    </path>

    <path name="gain-recording-2nd-mic">
        <path name="gain-media-2nd-mic" />
    </path>

    <path name="gain-camcorder-mic">
        <path name="gain-media-main-mic" />
    </path>

    <path name="gain-camcorder-2nd-mic">
        <path name="gain-media-2nd-mic" />
    </path>

    <path name="gain-media-bt-sco-mic">
    </path>

    <path name="gain-media-headphone-mic">
       <path name="gain-media-headset-mic" />
    </path>

    <path name="gain-recording-headset-mic">
       <path name="gain-media-headset-mic" />
    </path>

    <path name="gain-recording-bt-sco-headset-in">
    </path>

    <!-- recognition input volume -->
    <path name="gain-recognition-mic">
    </path>

    <path name="gain-recognition-2nd-mic">
    </path>

    <path name="gain-recognition-headset-mic">
    </path>

    <path name="gain-recognition-headphone-mic">
    </path>

    <path name="gain-recognition-bt-sco-headset-in">
    </path>

    <!-- Communication gain controls for each path -->
    <!-- Play paths gain controls -->
    <path name="gain-communication-handset">
        <path name="gain-media-handset" />
    </path>

    <path name="gain-communication-speaker">
        <path name="gain-media-speaker" />
    </path>

    <path name="gain-communication-headset">
        <path name="gain-media-headset" />
    </path>

    <path name="gain-communication-speaker-headset">
        <path name="gain-media-speaker-headset" />
    </path>

    <path name="gain-communication-bt-sco-headset">
    </path>

    <!-- Capture paths gain controls -->
    <path name="gain-communication-main-mic">
        <path name="gain-media-main-mic" />
    </path>

    <path name="gain-communication-2nd-mic">
        <path name="gain-media-2nd-mic" />
    </path>

    <path name="gain-communication-headset-mic">
       <path name="gain-media-headset-mic" />
    </path>

    <path name="gain-communication-bt-sco-headset-in">
       <path name="gain-media-headset-mic" />
    </path>

    <path name="gain-communication-handset-mic">
        <path name="gain-communication-main-mic" />
    </path>

    <path name="gain-communication-speaker-mic">
        <path name="gain-communication-main-mic" />
    </path>

    <!-- voip gain controls for each path -->
    <!-- Play paths gain controls -->
    <path name="gain-voip-handset">
    </path>

    <path name="gain-voip-speaker">
    </path>

    <path name="gain-voip-headset">
    </path>

    <path name="gain-voip-speaker-headset">
    </path>

    <path name="gain-voip-bt-sco-headset">
    </path>

    <!-- Capture paths gain controls -->
    <path name="gain-voip-main-mic">
    </path>

    <path name="gain-voip-2nd-mic">
    </path>

    <path name="gain-voip-headset-mic">
    </path>

    <path name="gain-voip-bt-sco-headset-in">
    </path>

    <path name="gain-voip-handset-mic">
    </path>

    <path name="gain-voip-speaker-mic">
    </path>

    <!-- FM Radio gain controls for each path -->
    <path name="gain-fm_radio-speaker">
        <path name="gain-media-speaker" />
    </path>

    <path name="gain-fm_radio-headphone">
        <path name="gain-media-headphone" />
    </path>

    <path name="gain-fm_radio-headset">
        <path name="gain-media-headset" />
    </path>

  <!-- Voice Call gain controls for each path -->
    <!-- NB gain controls -->
    <!-- NB handset -->
    <path name="gain-incall-handset">
        <path name="gain-media-handset" />
    </path>

    <path name="gain-incall-speaker">
        <path name="gain-media-speaker" />
    </path>

    <path name="gain-incall-headset">
        <path name="gain-media-headset" />
    </path>

    <path name="gain-incall-headphone">
        <path name="gain-incall-headset" />
    </path>

    <path name="gain-incall_hac-handset">
        <path name="gain-incall-handset" />
    </path>

    <path name="gain-incall_hac-speaker">
        <path name="gain-incall-speaker" />
    </path>

    <path name="gain-incall_hac-headset">
        <path name="gain-incall-headset" />
    </path>

    <path name="gain-incall_hac-headphone">
        <path name="gain-incall-headphone" />
    </path>

    <path name="gain-incall-handset-mic">
        <path name="gain-media-main-mic" />
    </path>

    <path name="gain-incall-speaker-mic">
        <path name="gain-media-main-mic" />
    </path>

    <path name="gain-incall-headset-mic">
        <path name="gain-media-headset-mic" />
    </path>

    <path name="gain-incall-headphone-mic">
        <path name="gain-incall-headset-mic" />
    </path>

    <path name="gain-incall_hac-handset-mic">
        <path name="gain-incall-handset-mic" />
    </path>

    <path name="gain-incall_hac-speaker-mic">
        <path name="gain-incall-speaker-mic" />
    </path>

    <path name="gain-incall_hac-headset-mic">
        <path name="gain-incall-headset-mic" />
    </path>

    <path name="gain-incall_hac-headphone-mic">
        <path name="gain-incall-headphone-mic" />
    </path>

    <path name="gain-incall-bt-sco-headset">
    </path>

    <path name="gain-incall_hac-bt-sco-headset">
    </path>

    <path name="gain-incall-bt-sco-headset-in">
    </path>

    <path name="gain-incall_hac-bt-sco-headset-in">
    </path>

    <!-- WB gain controls -->
    <path name="gain-incall_wb-handset">
        <path name="gain-incall-handset" />
    </path>

    <path name="gain-incall_wb-speaker">
        <path name="gain-incall-speaker" />
    </path>

    <path name="gain-incall_wb-headset">
        <path name="gain-incall-headset" />
    </path>

    <path name="gain-incall_wb-headphone">
        <path name="gain-incall-headphone" />
    </path>

    <path name="gain-incall_wb-handset-mic">
        <path name="gain-incall-handset-mic" />
    </path>

    <path name="gain-incall_wb-speaker-mic">
        <path name="gain-incall-speaker-mic" />
    </path>

    <path name="gain-incall_wb-headset-mic">
        <path name="gain-incall-headset-mic" />
    </path>

    <path name="gain-incall_wb-headphone-mic">
        <path name="gain-incall-headphone-mic" />
    </path>

    <path name="gain-incall_wb_hac-handset">
        <path name="gain-incall_wb-handset" />
    </path>

    <path name="gain-incall_wb_hac-speaker">
        <path name="gain-incall_wb-speaker" />
    </path>

    <path name="gain-incall_wb_hac-headset">
        <path name="gain-incall_wb-headset" />
    </path>

    <path name="gain-incall_wb_hac-headphone">
        <path name="gain-incall_wb-headphone" />
    </path>

    <path name="gain-incall_wb_hac-handset-mic">
        <path name="gain-incall_wb-handset-mic" />
    </path>

    <path name="gain-incall_wb_hac-speaker-mic">
        <path name="gain-incall_wb-speaker-mic" />
    </path>

    <path name="gain-incall_wb_hac-headset-mic">
        <path name="gain-incall_wb-headset-mic" />
    </path>

    <path name="gain-incall_wb_hac-headphone-mic">
        <path name="gain-incall_wb-headphone-mic" />
    </path>

    <path name="gain-incall_wb-bt-sco-headset">
    </path>

    <path name="gain-incall_wb_hac-bt-sco-headset">
    </path>

    <path name="gain-incall_wb-bt-sco-headset-in">
    </path>

    <path name="gain-incall_wb_hac-bt-sco-headset-in">
    </path>

    <!-- tty paths gain controls -->
    <path name="gain-tty_mode-headset">
        <!-- TTY mode VCO & FULL mode Playback paths -->
        <!-- Tx paths gain controls -->
        <!-- Rx paths gain controls -->
    </path>

    <path name="gain-tty_mode-handset">
        <!-- TTY mode HCO mode Playback paths -->
        <!-- Tx paths gain controls -->
        <!-- Rx paths gain controls -->
    </path>

    <path name="gain-tty_mode-full-mic">
        <!-- TTY mode FULL mode MIC -->
        <!-- Tx paths gain controls -->
        <!-- Rx paths gain controls -->
    </path>

    <path name="gain-tty_mode-handset-mic">
        <!-- TTY mode HCO MIC paths -->
        <!-- Tx paths gain controls -->
        <!-- Rx paths gain controls -->
    </path>

    <path name="gain-tty_mode-vco-mic">
        <!-- TTY mode VCO MIC paths -->
        <!-- Tx paths gain controls -->
        <!-- Rx paths gain controls -->
    </path>

    <!-- Incall Music paths gain controls -->
    <!-- RX paths gain controls -->
    <path name="gain-incall_music-handset">
        <path name="gain-incall-handset" />
    </path>

    <path name="gain-incall_music_hac-handset">
        <path name="gain-incall_music-handset" />
    </path>

    <path name="gain-incall_music-speaker">
        <path name="gain-incall-speaker" />
    </path>

    <path name="gain-incall_music_hac-speaker">
        <path name="gain-incall_music-speaker" />
    </path>

    <path name="gain-incall_music-headset">
        <path name="gain-incall-headset" />
    </path>

    <path name="gain-incall_music_hac-headset">
        <path name="gain-incall_music-headset" />
    </path>

    <path name="gain-incall_music-headphone">
        <path name="gain-incall_music-headset" />
    </path>

    <path name="gain-incall_music_hac-headphone">
        <path name="gain-incall_music-headset" />
    </path>

    <!--
    <path name="gain-incall_music-lineout">
        <path name="gain-incall-lineout" />
    </path>

    <path name="gain-incall_music_hac-lineout">
        <path name="gain-incall_music-lineout" />
    </path>
    -->

    <path name="gain-incall_music-bt-sco-headset">
        <path name="gain-incall-bt-sco-headset" />
    </path>

    <path name="gain-incall_music_hac-bt-sco-headset">
        <path name="gain-incall_music-bt-sco-headset" />
    </path>

    <!-- Tx paths gain controls -->
    <path name="gain-incall_music-handset-mic">
        <path name="gain-incall-handset-mic" />
    </path>

    <path name="gain-incall_music_hac-handset-mic">
        <path name="gain-incall_music-handset-mic" />
    </path>

    <!--
    <path name="gain-incall_music-lineout-mic">
        <path name="gain-incall-lineout-mic" />
    </path>

    <path name="gain-incall_music_hac-lineout-mic">
        <path name="gain-incall_music-lineout-mic" />
    </path>
    -->

    <path name="gain-incall_music-speaker-mic">
        <path name="gain-incall-speaker-mic" />
    </path>

    <path name="gain-incall_music_hac-speaker-mic">
        <path name="gain-incall_music-speaker-mic" />
    </path>

    <path name="gain-incall_music-headset-mic">
        <path name="gain-incall-headset-mic" />
    </path>

    <path name="gain-incall_music_hac-headset-mic">
        <path name="gain-incall_music-headset-mic" />
    </path>

    <path name="gain-incall_music-headphone-mic">
        <path name="gain-incall-headphone-mic" />
    </path>

    <path name="gain-incall_music_hac-headphone-mic">
        <path name="gain-incall_music-headphone-mic" />
    </path>

    <path name="gain-incall_music-bt-sco-headset-in">
        <path name="gain-incall-bt-sco-headset-in" />
    </path>

    <path name="gain-incall_music_hac-bt-sco-headset-in">
        <path name="gain-incall_music-bt-sco-headset-in" />
    </path>

</mixer>
